Subject: Wrong directory name for beta2

From: Devrim GÜNDÜZ <[email-masked]>
Date: Wed, 31 Oct 2007 16:24:16 -0700

Hi,

Darcy just pointed out that there is a problem with the beta2 directory
name for sources in the FTP sites. For beta1 , we have v8.3beta1, which
is the correct naming, and for beta2, we have v8.3beta . 

I first would just rename the directory, but again Darcy reminded that
the announcement text includes "v8.3beta" directory. We need to symlink
it to beta2 for now, and then create beta3 (or whatever) directory next
time.

I'll create the symlink later today, unless someone objects.

Regards,
-- 
Devrim GÜNDÜZ
PostgreSQL Replication, Consulting, Custom Development, 24x7 support
Managed Services, Shared and Dedicated Hosting
Co-Authors: plPHP, ODBCng - http://www.commandprompt.com/

---

From: "Marc G. Fournier" <[email-masked]>
Date: Wed, 31 Oct 2007 21:28:52 -0300

> I'll create the symlink later today, unless someone objects.

Do not create the symlink, the directory naming wasn't a mistake ... it was 
named without the trailing # at the request of JoshB, as it simplified pointing 
ppl to the binaries ... all future beta's will be put into the same directory, 
with the filenames themselves the only thing that will be changing ..

- ----
Marc G. Fournier           Hub.Org Networking Services (http://www.hub.org)
Email . [email-masked]                              MSN . [email-masked]
Yahoo . yscrappy               Skype: hub.org        ICQ . 7615664

---

From: Magnus Hagander <[email-masked]>
Date: Thu, 01 Nov 2007 08:09:08 +0100

Marc G. Fournier wrote:
> 
> 
> --On Wednesday, October 31, 2007 16:24:16 -0700 Devrim GÜNDÜZ 

There's a big problem here, and that's that we are not consistent.
Things like that shouldn't just change "at the request of JoshB", it
should be discussed on the lists to determine all implications first...

//Magnus

---

From: Devrim GÜNDÜZ <[email-masked]>
Date: Thu, 01 Nov 2007 00:20:42 -0700

Hi,

> should be discussed on the lists to determine all implications

+1.

/me loves the whole 8.3 cycle... new features after feature freeze,
initdb in beta2 and now change in ftp directory structure. :)
-- 
Devrim GÜNDÜZ
PostgreSQL Replication, Consulting, Custom Development, 24x7 support
Managed Services, Shared and Dedicated Hosting
Co-Authors: plPHP, ODBCng - http://www.commandprompt.com/

---

From: Dave Page <[email-masked]>
Date: Thu, 01 Nov 2007 08:32:09 +0000

> with the filenames themselves the only thing that will be changing ..

The binaries won't be sharing directories across versions.

/D

---

From: Robert Treat <[email-masked]>
Date: Thu, 01 Nov 2007 08:48:28 -0400

On Thursday 01 November 2007 03:09, Magnus Hagander wrote:
> > Do not create the symlink, the directory naming wasn't a mistake ... it
> > was named without the trailing # at the request of JoshB, as it
> > simplified pointing ppl to the binaries ... all future beta's will be put
> > into the same directory, with the filenames themselves the only thing
> > that will be changing ..
>

hmm... istm i am not getting emails from Marc... *shrug*.  

Just to reiterate (since I brought this up when we released the announcement), 
we actually now have 2 different naming schemes; no # for the tarballs, and 
with a # for beta binaries. now *that* is silly, so let's get it together for 
beta3 eh? 

Personally I go +1 on having the # in the url, and I would also like to see 
old beta directories removed once the new beta is out (someone looking 
in /source directory is bound to think /beta1 came after /beta based on 
sorting alone, and is there *any* reason we want people downloading beta1 at 
this point?)  

-- 
Robert Treat
Build A Brighter LAMP :: Linux Apache {middleware} PostgreSQL

---

From: Magnus Hagander <[email-masked]>
Date: Thu, 01 Nov 2007 14:42:19 +0100

> Personally I go +1 on having the # in the url, and I would also like to see 

+1 (I'd + more than 1 if I could :-P)

> sorting alone, and is there *any* reason we want people downloading beta1 at 

+1 on that too.

//Magnus